import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Message extends StatefulWidget {
  const Message({Key? key}) : super(key: key);

  @override
  State<Message> createState() => _MessageState();
}

class _MessageState extends State<Message> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("Marianum Message"),
      ),
      body: ListView.builder(itemBuilder: (context, index) {
        return ListTile(
            leading: const Icon(Icons.newspaper),
            title: Text(index.toString()),
            trailing: const Icon(Icons.arrow_right),
        );
      }),
    );
  }
}
